Skip to main content

target

Description

Optional. The DOM node that receives the content sent by the Portal component

Usage

target?: HTMLElement;

Example

import { useState, useRef } from "react";
import { Modal, TextArea, Portal, Button } from "@svar-ui/react-core";

export default function Example() {
const [custom, setCustom] = useState(false);
const box = useRef<HTMLDivElement | null>(null);

function hideAll() {
setCustom(false);
}

return (
<>
<Button onClick={() => setCustom(!custom)}>Show Dialog</Button>
<div ref={box} />

{custom && (
<Portal target={box.current}>
<Modal>
<TextArea placeholder="Some text" />
<div style={{ marginTop: 20 }}>
<Button onClick={hideAll}>Yes</Button>
<Button onClick={hideAll}>No</Button>
<Button onClick={hideAll}>Maybe</Button>
</div>
</Modal>
</Portal>
)}
</>
);
}

Related article: Setting the target

Skip to main content

target

Description

Optional. The DOM node that receives the content sent by the Portal component

Usage

target?: HTMLElement;

Example

<script setup>
import { ref } from "vue";
import { Modal, TextArea, Portal, Button } from "@svar-ui/vue-core";

const custom = ref(false);
const box = ref(null);
function hideAll() {
custom.value = false;
}
</script>

<template>
<Button @click="custom = !custom">Show Dialog</Button>

<Portal v-if="custom" :target="box">
<Modal>
<TextArea placeholder="Some text" />
<div style="margin-top: 20px;">
<Button :onclick="hideAll">Yes</Button>
<Button :onclick="hideAll">No</Button>
<Button :onclick="hideAll">Maybe</Button>
</div>
</Modal>
</Portal>
</template>

Related article: Setting the target